Skip to main content
GET
Get User Wallets

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

userId
string
required

Filter by User ID.

Example:

"123e4567-e89b-12d3-a456-426614174000"

walletAddress
string

Filter by wallet address

Example:

"0x1234567890123456789012345678901234567890"

walletRefId
string

Filter by wallet reference ID

Example:

"ref_user_1"

blockchain
string

Filter by blockchain network. The chain. Can be either the blockchain name or slug.

Refer to the Get Supported Blockchains endpoint for the list of supported blockchains.

Example:

"ethereum-mainnet"

pageNo
string
default:1

The page number for pagination

pageLimit
string
default:10

The number of items per page for pagination

Response

success
boolean
required
Example:

true

data
object[]
required
totalPage
number
required
pageNo
number
required
pageLimit
number
required